> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stablepayfi.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 按币种查询待结算余额

> 按币种查询待结算余额

完整[认证、签名、数据约定与错误响应](https://docs.stablepayfi.ai/zh/api/global-accounts/overview)。每次重试均须重新生成时间戳、nonce 与签名。

`GET /pending_settlement_balance` 按币种返回商户维度的待结算账面余额，允许负值。

## 请求头

**Authorization** `string` *required*

Bearer API Key。

**X-StablePay-Timestamp** `string` *required*

Unix 秒，允许与服务端相差最多 5 分钟。

**X-StablePay-Nonce** `string` *required*

每次请求唯一的随机串，16–64 字符。

**X-StablePay-Signature** `string` *required*

HMAC-SHA256 签名，小写十六进制；签名必须对应实际发送的请求体。

## 请求参数

**merchant\_id** `string`

10 位数字；商户 App 不传，服务商 App 传值指定作用商户

## 响应

**balances** `array` *required*

按币种汇总

**balances\[].currency** `string` *required*

币种代码

**balances\[].amount** `integer` *required*

账面余额，允许负值

**as\_of** `integer` *required*

观察时间

## 状态与错误

503 服务暂时不可用，换新 nonce 重试。

```bash cURL theme={"system"}
curl --request GET \
  --url "https://api.stablepay.co/api/v1/pending_settlement_balance" \
  --header "Authorization: Bearer <API_KEY>" \
  --header "X-StablePay-Timestamp: <TIMESTAMP>" \
  --header "X-StablePay-Nonce: <NONCE>" \
  --header "X-StablePay-Signature: <SIGNATURE>"
```

```javascript JavaScript theme={"system"}
const response = await fetch("https://api.stablepay.co/api/v1/pending_settlement_balance", {
  method: "GET",
  headers: {
    "Authorization": "Bearer <API_KEY>",
    "X-StablePay-Timestamp": "<TIMESTAMP>",
    "X-StablePay-Nonce": "<NONCE>",
    "X-StablePay-Signature": "<SIGNATURE>"
  }
});
console.log(await response.json());
```

```json 200 theme={"system"}
{
  "balances": [
    {
      "currency": "USDT",
      "amount": 2500
    },
    {
      "currency": "USDC",
      "amount": -100
    }
  ],
  "as_of": 1789084800
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.